Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Arora is a lightweight cross-platform web browser.
Name:		arora
Version:	0.11.0
Release:	1
License:	GNU/GPL 
URL:		http://code.google.com/p/arora/
Group:		Internet/Browser
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: qt4-devel

%description
Arora is a lightweight cross-platform web browser. It's free (as in free 
speech and free beer). Arora runs on Linux, embedded Linux, FreeBSD, 
Mac OS X, Windows, Haiku, and any other platforms supported by the Qt 
toolkit.

Arora uses the QtWebKit port of the fully standards-compliant WebKit 
layout engine. It features fast rendering, powerful JavaScript engine 
and supports Netscape plugins.

Apart from the must-have features such as bookmarks, history and tabbed 
browsing Arora boasts:

     - very fast startup
     - integration with desktop environments
     - smart location bar
     - session management
     - privacy mode
     - flexible search engine management
     - ClickToFlash plugin
     - download manager
     - WebInspector, a set of tools for web developers
     - 30 translations

Arora began as a demo by Benjamin Meyer to help test the QtWebKit component, 
but since then it has grown into its own project outside of Qt.

%prep
%setup -q -n %{name}-%{version}
prefix=%_prefix
for i in $(grep -lR /usr/local *)
do
	sed -i "s#/usr/local#$prefix# g" "$i"
done

%build
qmake-qt4
make

%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/applications
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/arora
%_bindir/arora-cacheinfo
%_bindir/arora-placesimport
%_bindir/htmlToXBel
%_applications/arora.desktop
%_datadir/arora/locale/ast.qm
%_datadir/arora/locale/ca.qm
%_datadir/arora/locale/cs_CZ.qm
%_datadir/arora/locale/da_DK.qm
%_datadir/arora/locale/de_DE.qm
%_datadir/arora/locale/el_GR.qm
%_datadir/arora/locale/es_CR.qm
%_datadir/arora/locale/es.qm
%_datadir/arora/locale/et_EE.qm
%_datadir/arora/locale/fi_FI.qm
%_datadir/arora/locale/fr_CA.qm
%_datadir/arora/locale/fr_FR.qm
%_datadir/arora/locale/gl.qm
%_datadir/arora/locale/he_IL.qm
%_datadir/arora/locale/hu_HU.qm
%_datadir/arora/locale/it_IT.qm
%_datadir/arora/locale/ja_JP.qm
%_datadir/arora/locale/ms.qm
%_datadir/arora/locale/nb_NO.qm
%_datadir/arora/locale/nl.qm
%_datadir/arora/locale/pl_PL.qm
%_datadir/arora/locale/pt_BR.qm
%_datadir/arora/locale/pt_PT.qm
%_datadir/arora/locale/ru_RU.qm
%_datadir/arora/locale/sk_SK.qm
%_datadir/arora/locale/sr_RS@latin.qm
%_datadir/arora/locale/sr_RS.qm
%_datadir/arora/locale/tr_TR.qm
%_datadir/arora/locale/uk.qm
%_datadir/arora/locale/zh_CN.qm
%_datadir/arora/locale/zh_TW.qm
%_datadir/icons/hicolor/128x128/apps/arora.png
%_datadir/icons/hicolor/16x16/apps/arora.png
%_datadir/icons/hicolor/32x32/apps/arora.png
%_datadir/icons/hicolor/scalable/apps/arora.svg
%_mandir/man1/arora.1.gz
%_mandir/man1/arora-cacheinfo.1.gz
%_mandir/man1/arora-placesimport.1.gz
%_mandir/man1/htmlToXBel.1.gz
%_pixmaps/arora.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.11.0-1
- version update
* Mon Feb 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.10.2-2
- rebuilt against qt 4.6.2 
* Sun Dec 13 2009 Stefan Gottwald <gotti@ccux-linux.de> 0.10.2-1
- Initial Release




